aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-xml/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/py-xml/APKBUILD')
-rw-r--r--testing/py-xml/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/py-xml/APKBUILD b/testing/py-xml/APKBUILD
new file mode 100644
index 0000000000..1dd549da07
--- /dev/null
+++ b/testing/py-xml/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-xml
+pkgver=0.8.4
+pkgrel=0
+pkgdesc="Python XML parsing library."
+url="http://pyxml.sourceforge.net/"
+license="custom"
+depends=
+makedepends="python-dev"
+source="http://downloads.sourceforge.net/sourceforge/pyxml/PyXML-$pkgver.tar.gz
+ fix-python2.6.patch"
+
+_builddir="$srcdir"/PyXML-$pkgver
+build() {
+ cd "$_builddir"
+ patch -Np1 -i "$srcdir/fix-python2.6.patch" || return 1
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ install -D -m644 LICENCE "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+}
+
+md5sums="1f7655050cebbb664db976405fdba209 PyXML-0.8.4.tar.gz
+4b652e0c866e3cca7e2386e8e383d5ba fix-python2.6.patch"